package com.gic.haoban.manage.service.dao.mapper.licence;

import com.gic.haoban.manage.api.dto.licence.LicenceOrderPageDTO;
import com.gic.haoban.manage.api.dto.qdto.licence.LicenceOrderPageQDTO;
import com.gic.haoban.manage.service.entity.licence.TabHaobanLicenceOrder;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author jx
 * @since 2023-03-09
 */
public interface TabHaobanLicenceOrderMapper {

    /**
     * 获取订单详情
     * @param orderId
     * @return
     */
    TabHaobanLicenceOrder selectById(@Param("orderId") Long orderId);

    /**
     * 新增订单
     * @param tabHaobanLicenceOrder
     * @return
     */
    Integer insert(TabHaobanLicenceOrder tabHaobanLicenceOrder);

    /**
     * 删除订单
     * @param orderId
     * @return
     */
    Integer deleteById(@Param("orderId") Long orderId);

    /**
     * 跟新订单状态
     * @param orderId
     * @param type
     * @return
     */
    Integer updateLicenceOrderType(@Param("orderId") Long orderId,@Param("type") Integer type);

    /**
     * 上次订单支付凭证
     * @param orderId
     * @param voucher
     * @return
     */
    Integer uploadLicenceOrderVoucher(@Param("orderId")Long orderId, @Param("voucher")String voucher);

    /**
     * 根据wxEnterpriseId查询企业是否存在未支付订单
     * @param wxEnterpriseId
     * @return order_id
     */
    String selectByWxEnterpriseId(@Param("wxEnterpriseId")String wxEnterpriseId);

    /**
     * 分页查询订单列表
     * @param licenceOrderPageQDTO
     * @return
     */

    List<LicenceOrderPageDTO> getLicenceOrderPage(LicenceOrderPageQDTO licenceOrderPageQDTO);

}
