package com.gic.haoban.manage.service.service.licence;

import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.haoban.manage.api.dto.licence.LicenceOrderPageDTO;
import com.gic.haoban.manage.api.dto.qdto.licence.LicenceOrderPageQDTO;
import com.gic.haoban.manage.api.dto.qdto.licence.LicenceOrderQDTO;
import com.gic.haoban.manage.service.entity.licence.TabHaobanLicenceOrder;

import java.util.List;

/**
 * <p>
 * 企业微信许可账号购买
 * </p>
 *
 * @author jx
 * @since 2023-03-09
 */
public interface LicenceOrderService {
    /**
     * 查询企业微信订单详情
     *
     * @param orderId 订单id
     * @return
     */
    TabHaobanLicenceOrder getLicenceOrderDetail(Long orderId);

    /**
     * 删除订单
     * @param orderId 订单id
     * @return
     */
    Integer deleteLicenceOrder(Long orderId);

    /**
     * 新增或者修改订单
     * @param licenceOrderQDTO
     * @return orderId
     */
    String saveOrUpdateLicenceOrder(LicenceOrderQDTO licenceOrderQDTO);

    /**
     * 更新订单状态
     * @param orderId 订单id
     * @param type 订单状态
     * @return
     */
    Boolean updateLicenceOrderType(Long orderId, Integer type,String enterpriseId,String wxEnterpriseId,String creatorName);

    /**
     * 上次订单支付凭证
     * @param orderId 订单id
     * @param voucher 凭证url
     * @return
     */
    Boolean uploadLicenceOrderVoucher(Long orderId, String voucher,String enterpriseId,String wxEnterpriseId,String creatorName);

    /**
     * 查询企业是否存在订单未支付接口
     *
     * @param wxEnterpriseId 企业微信id
     * @return
     */
    String isPayLicenceOrder(String wxEnterpriseId);

    /**
     * 分页查询订单列表
     * @param licenceOrderPageQDTO
     * @return
     */
    Page<LicenceOrderPageDTO> getLicenceOrderPage(LicenceOrderPageQDTO licenceOrderPageQDTO);



}
